/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.executePlan.db.impl;

import net.northking.cctp.executePlan.db.dao.AtuPlanAppLinkDao;
import net.northking.cctp.executePlan.db.service.AtuPlanAppLinkService;
import net.northking.cctp.executePlan.db.entity.AtuPlanAppLink;

import net.northking.cctp.common.db.BasicDao;
import net.northking.cctp.common.db.PaginationService;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 计划应用关联表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2022-12-06 17:37:23  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "AtuPlanAppLinkServiceImpl")
public class AtuPlanAppLinkServiceImpl extends PaginationService<AtuPlanAppLink> implements AtuPlanAppLinkService
{
private static final Logger logger = LoggerFactory.getLogger(AtuPlanAppLinkServiceImpl.class);

  private final AtuPlanAppLinkDao atuPlanAppLinkDao;

  public AtuPlanAppLinkServiceImpl(AtuPlanAppLinkDao atuPlanAppLinkDao) {this.atuPlanAppLinkDao = atuPlanAppLinkDao;}

  @Override
  public BasicDao<AtuPlanAppLink> getDao() {return atuPlanAppLinkDao;}

  @Override
  public AtuPlanAppLink createEntity() { return new AtuPlanAppLink();}

  @Override
  protected void beforeInsert(AtuPlanAppLink record) {

  }

  @Override
  protected void beforeUpdate(AtuPlanAppLink record) {

  }

    @Override
    public String queryAppId(AtuPlanAppLink planAppLink) {
        return atuPlanAppLinkDao.queryAppId(planAppLink);
    }

  @Override
  public void deleteAppByPlanId(String planId) {
    this.atuPlanAppLinkDao.deleteAppByPlanId(planId);
  }







}

